base: &default
  test_api_hosts:
    - echo-api.3scale.net
    - echo-api.herokuapp.com
    - hello-world-api.3scale.net
  ignore_test_failures: []
  hosts:
    - localhost:8091
  backend_host: backend:3000
  shared_secret: dev-f8Eolld1M4F
  backend_scheme: http
  nginx_port: 8080
  verify_mode: <%= OpenSSL::SSL::VERIFY_NONE %>
  debug: true
  override: 'http://localhost:8091'
  sandbox_endpoint: 'https://%{system_name}-%{account_id}.staging.%{env}apicast.io:%{port}'
  hosted_proxy_endpoint: 'https://%{system_name}-%{account_id}.%{env}apicast.io:%{port}'
  skip_deploy: false

development:
  <<: *default
  test_api_hosts:
    - hello-world-api.3scale.net
  ignore_test_failures:
    - echo-api.3scale.net

test:
  ignore_test_failures: []
  test_api_hosts:
    - echo-api.3scale.net
    - echo-api.herokuapp.com
    - hello-world-api.3scale.net
  hosts:
    - 'test.proxy'
  backend_host: '127.0.0.1:4001'
  backend_scheme: 'http'
  shared_secret: 'TEST'
  nginx_port: 8080
  sandbox_endpoint: 'https://%{system_name}-%{account_id}.staging.%{env}apicast.io:%{port}'
  hosted_proxy_endpoint: 'https://%{system_name}-%{account_id}.%{env}apicast.io:%{port}'
  skip_deploy: false

preview:
  <<: *default

production:
  <<: *default
